package it.chros.csd;

import java.util.ArrayList;

import android.os.AsyncTask;
import android.widget.ProgressBar;
import android.widget.TextView;
import android.widget.ToggleButton;

import com.stericson.RootTools.RootTools;

public class CheckCameraSounds  extends AsyncTask<MainActivity, Void, ArrayList<CameraSound>>{
	
	MainActivity activity;

	@Override
	protected ArrayList<CameraSound> doInBackground(MainActivity... activity) {
		
		this.activity = activity[0];
		
		ArrayList<CameraSound> fileList = new ArrayList<CameraSound>();
		
		ArrayList<String> arrayPath = FilePath.getAllFilePath();
		ArrayList<String> arrayName = FileName.getAllFilePath();
		
		for (int i = 0; i < 4; i++) {
			String path = arrayPath.get(i);
			
			if (RootTools.exists(path)) {
				fileList.add(new CameraSound(arrayName.get(i), path, true));				
				
			} else if (RootTools.exists(path + FilePath.DISABLED)) {
				fileList.add(new CameraSound(arrayName.get(i), path, false));
			}
		}
		return fileList;
	}

	@Override
	protected void onPostExecute(ArrayList<CameraSound> result) {
		
		activity.findViewById(R.id.progressBar_loading).setVisibility(ProgressBar.GONE);
		
		for(CameraSound x : result) {
			String name = x.getName();
			
			if (name == FileName.CAMERA_CLICK) {
				TextView textView = ((TextView) activity.findViewById(R.id.textView_cameraClick));
				textView.setVisibility(TextView.VISIBLE);
				textView.setText(x.getName());
				
				ToggleButton toggleButton = (ToggleButton) activity.findViewById(R.id.toggleButton_cameraClick);
				toggleButton.setVisibility(ToggleButton.VISIBLE);
				toggleButton.setChecked(x.isActive());				
				
			} else
				
				if (name == FileName.CAMERA_FOCUS) {
				TextView textView = ((TextView) activity.findViewById(R.id.TextView_cameraFocus));
				textView.setVisibility(TextView.VISIBLE);
				textView.setText(x.getName());
				
				ToggleButton toggleButton = (ToggleButton) activity.findViewById(R.id.ToggleButton_cameraFocus);
				toggleButton.setVisibility(ToggleButton.VISIBLE);
				toggleButton.setChecked(x.isActive());
			} else
			
			if (name == FileName.VIDEO_RECORD) {
				TextView textView = ((TextView) activity.findViewById(R.id.TextView_videoRecord));
				textView.setVisibility(TextView.VISIBLE);
				textView.setText(x.getName());
				
				ToggleButton toggleButton = (ToggleButton) activity.findViewById(R.id.ToggleButton_videoRecord);
				toggleButton.setVisibility(ToggleButton.VISIBLE);
				toggleButton.setChecked(x.isActive());				
			} else
			
			if (name == FileName.VIDEO_STOP) {
				TextView textView = ((TextView) activity.findViewById(R.id.TextView_videoStop));
				textView.setVisibility(TextView.VISIBLE);
				textView.setText(x.getName());
				
				ToggleButton toggleButton = (ToggleButton) activity.findViewById(R.id.ToggleButton_videoStop);
				toggleButton.setVisibility(ToggleButton.VISIBLE);
				toggleButton.setChecked(x.isActive());		
			}
			
		}
	}
}
