package it.chros.csd;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.res.Configuration;
import android.os.Bundle;
import android.view.View;

public class MainActivity extends Activity {
	
	

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);		

		new RootOK().execute(this);
	}
	
	@Override
	public void onConfigurationChanged(Configuration newConfig) {
	  super.onConfigurationChanged(newConfig);
	  setContentView(R.layout.activity_main);
	  new CheckCameraSounds().execute(this);
	  
	  
	}
	
	
	public void fatalError(int message) {
		AlertDialog.Builder alertDialogBuilder = new AlertDialog.Builder(this);
		alertDialogBuilder.setTitle(R.string.error);
			alertDialogBuilder
			.setMessage(message)
			.setCancelable(false)
			.setPositiveButton(R.string.ok, new DialogInterface.OnClickListener() {
				public void onClick(DialogInterface dialog,int id) {
				MainActivity.this.finish();
				}
			  });
			
			AlertDialog alertDialog = alertDialogBuilder.create();
			alertDialog.show();
	}
	
	public void onToggleClicked(View view) {
		String file = "";
		
		switch(view.getId()) {
			case R.id.toggleButton_cameraClick:		
				file = FileName.CAMERA_CLICK;
				break;
				
			case R.id.ToggleButton_cameraFocus:
				file = FileName.CAMERA_FOCUS;
				break;
				
			case R.id.ToggleButton_videoRecord:
				file = FileName.VIDEO_RECORD;
				break;
				
			case R.id.ToggleButton_videoStop:
				file = FileName.VIDEO_STOP;
		}
		
		new SoundStateChanger(this).execute(file);
	   
	}
	
}
