package it.chros.csd;

import java.io.IOException;
import java.util.ArrayList;
import java.util.concurrent.TimeoutException;

import android.os.AsyncTask;

import com.stericson.RootTools.RootTools;
import com.stericson.RootTools.exceptions.RootDeniedException;
import com.stericson.RootTools.execution.CommandCapture;

public class SoundStateChanger extends AsyncTask<String, Void, Boolean> {
	
	MainActivity mainActivity;
	
	public SoundStateChanger(MainActivity mainActivity) {
		this.mainActivity = mainActivity;
	}

	@Override
	protected Boolean doInBackground(String... params) {
		
		CommandCapture command = new CommandCapture(0, "mount -ro remount,rw /system");
		
		try {
			RootTools.getShell(true).add(command);
		} catch (IOException e) {
			e.printStackTrace();
			return false;
		} catch (TimeoutException e) {
			e.printStackTrace();
			return false;
		} catch (RootDeniedException e) {
			e.printStackTrace();
			return false;
		}
		
		String path = "";
		
		
		ArrayList<String> arrayPath = FilePath.getAllFilePath();
		ArrayList<String> arrayName = FileName.getAllFilePath();
		
		for (int i = 0; i < 4; i++) {
			String name = arrayName.get(i);
			
			if (name == params[0]) {			
			
				if (RootTools.exists(arrayPath.get(i))) {				
					path = arrayPath.get(i) + " " + arrayPath.get(i) + FilePath.DISABLED;
				} else {
					path = arrayPath.get(i) + FilePath.DISABLED + " " + arrayPath.get(i);
				}
			}
		}
		
		if (path == "") {
			return false;
		}
		
		try {
			RootTools.getShell(true).add(new CommandCapture(1, "mv " + path));
		} catch (IOException e) {
			e.printStackTrace();
			return false;
		} catch (TimeoutException e) {
			e.printStackTrace();
			return false;
		} catch (RootDeniedException e) {
			e.printStackTrace();
			return false;
		}
		
		return true;		
		
	}
	
	@Override
	protected void onPostExecute(Boolean result) {
		if (!result) {
			mainActivity.fatalError(R.string.undefined_error);
		}		
	}
	
}
